Debian Bug report logs - #389171
ndiswrapper-source: doesn't compile on 2.6.17-1 and 2.6.17-2

version graph

Package: ndiswrapper-source; Maintainer for ndiswrapper-source is Julian Andres Klode <jak@debian.org>; Source for ndiswrapper-source is src:ndiswrapper.

Reported by: ste <bluefuture@email.it>

Date: Sun, 24 Sep 2006 14:03:24 UTC

Severity: grave

Tags: fixed, patch

Found in version ndiswrapper/1.23-1

Fixed in versions 1.23-1.1, ndiswrapper/1.28-1

Done: Kel Modderman <kelmo@kanotixguide.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andres Salomon <dilinger@debian.org>:
Bug#389171; Package ndiswrapper-source. Full text and rfc822 format available.

Acknowledgement sent to ste <bluefuture@email.it>:
New Bug report received and forwarded. Copy sent to Andres Salomon <dilinger@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: ste <bluefuture@email.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ndiswrapper-source: doesn't compile on 2.6.17-1 and 2.6.17-2
Date: Sun, 24 Sep 2006 15:28:39 +0200
Package: ndiswrapper-source
Version: 1.23-1
Severity: grave
Justification: renders package unusable

Building this module fails on 2.6.17-1 and 2.6.17-2 giving me this errors:
 
 In file included from /usr/src/modules/ndiswrapper/ndis.c:2665:            ▒
 │ /usr/src/modules/ndiswrapper/ndis_exports.h:143: error:                    ▒
 │ ‘EthFilterDprIndicateReceive’ undeclared here (not in a function)          ▒
 │ /usr/src/modules/ndiswrapper/ndis_exports.h:144: error:                    ▒
 │ ‘EthFilterDprIndicateReceiveComplete’ undeclared here (not in a function)  ▒
 │ /usr/src/modules/ndiswrapper/ndis_exports.h:228: error:                    ▒
 │ ‘NdisMSetAttributes’ undeclared here (not in a function)                   ▒
 │ make[4]: *** [/usr/src/modules/ndiswrapper/ndis.o] Error 1                 ▒
 │ make[3]: *** [_module_/usr/src/modules/ndiswrapper] Error 2  

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (900, 'testing'), (800, 'unstable'), (700, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-1-686
Locale: LANG=it_IT.UTF-8, LC_CTYPE=it_IT.UTF-8 (charmap=UTF-8)

Versions of packages ndiswrapper-source depends on:
ii  bzip2                         1.0.3-6    high-quality block-sorting file co
ii  debhelper                     5.0.37.3   helper programs for debian/rules
ii  gcc                           4:4.1.1-7  The GNU C compiler
ii  module-assistant              0.10.6     tool to make module package creati

ndiswrapper-source recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Andres Salomon <dilinger@debian.org>:
Bug#389171; Package ndiswrapper-source. Full text and rfc822 format available.

Acknowledgement sent to Kel Modderman <kelrin@tpg.com.au>:
Extra info received and forwarded to list. Copy sent to Andres Salomon <dilinger@debian.org>. Full text and rfc822 format available.

Message #10 received at 389171@bugs.debian.org (full text, mbox):

From: Kel Modderman <kelrin@tpg.com.au>
To: ste <bluefuture@email.it>, 389171@bugs.debian.org
Subject: Re: Bug#389171: ndiswrapper-source: doesn't compile on 2.6.17-1 and 2.6.17-2
Date: Mon, 25 Sep 2006 00:34:31 +1000
On Sunday 24 September 2006 23:28, ste wrote:
> Package: ndiswrapper-source
> Version: 1.23-1
> Severity: grave
> Justification: renders package unusable

IMHO, this is not grave, but lets not worry about arguing that point . . .

>
> Building this module fails on 2.6.17-1 and 2.6.17-2 giving me this errors:
>
>  In file included from /usr/src/modules/ndiswrapper/ndis.c:2665:           
> ▒ │ /usr/src/modules/ndiswrapper/ndis_exports.h:143: error:                
>    ▒ │ ‘EthFilterDprIndicateReceive’ undeclared here (not in a function)   
>       ▒ │ /usr/src/modules/ndiswrapper/ndis_exports.h:144: error:          
>          ▒ │ ‘EthFilterDprIndicateReceiveComplete’ undeclared here (not in
> a function)  ▒ │ /usr/src/modules/ndiswrapper/ndis_exports.h:228: error:   
>                 ▒ │ ‘NdisMSetAttributes’ undeclared here (not in a
> function)                   ▒ │ make[4]: ***
> [/usr/src/modules/ndiswrapper/ndis.o] Error 1                 ▒ │ make[3]:
> *** [_module_/usr/src/modules/ndiswrapper] Error 2

cd /usr/src/modules/ndiswrapper && make distclean

Does that help?

*_exports.h *may* exist if timestamps are out of whack. So using 'distclean' 
instead of 'clean' in debian/rules may avoid this in the future.

Otherwise, I cannot reproduce this problem, as that version of the module has 
always compiled fine for me, on 2.6.17 and 2.6.18.

Thanks, Kel.



Information forwarded to debian-bugs-dist@lists.debian.org, Andres Salomon <dilinger@debian.org>:
Bug#389171; Package ndiswrapper-source. Full text and rfc822 format available.

Acknowledgement sent to bluefuture@email.it:
Extra info received and forwarded to list. Copy sent to Andres Salomon <dilinger@debian.org>. Full text and rfc822 format available.

Message #15 received at 389171@bugs.debian.org (full text, mbox):

From: Bluefuture <bluefuture@email.it>
To: Kel Modderman <kelrin@tpg.com.au>
Cc: 389171@bugs.debian.org
Subject: Re: Bug#389171: ndiswrapper-source: doesn't compile on 2.6.17-1 and 2.6.17-2
Date: Sun, 24 Sep 2006 19:30:40 +0200
> cd /usr/src/modules/ndiswrapper && make distclean
> 
> Does that help?
> 
> *_exports.h *may* exist if timestamps are out of whack. So using 'distclean' 
> instead of 'clean' in debian/rules may avoid this in the future.
> 
Yes now build fine.
If you plan to change this in debian/rules you could close this bugs.

Thanks
Ste




Information forwarded to debian-bugs-dist@lists.debian.org, Andres Salomon <dilinger@debian.org>:
Bug#389171; Package ndiswrapper-source. Full text and rfc822 format available.

Acknowledgement sent to Mario Iseli <mario@marioiseli.com>:
Extra info received and forwarded to list. Copy sent to Andres Salomon <dilinger@debian.org>. Full text and rfc822 format available.

Message #20 received at 389171@bugs.debian.org (full text, mbox):

From: Mario Iseli <mario@marioiseli.com>
To: 389171@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Patch
Date: Sat, 7 Oct 2006 16:11:35 +0200
tags 389171 +patch
thanks

Hi :)

Here my patch for the NMU.

Kindest regards from BSP Zurich, Switzerland

-- 
  .''`.     Mario Iseli <admin@marioiseli.com>
 : :'  :    proud user of Debian unstable
 `. `'`
   `-  Debian - when you have better things to do than fixing a system



Tags added: patch Request was from Mario Iseli <mario@marioiseli.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Mario Iseli <admin@marioiseli.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 1.23-1.1, send any further explanations to ste <bluefuture@email.it> Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to ste <bluefuture@email.it>:
Bug#389171. Full text and rfc822 format available.

Message #31 received at 389171-submitter@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 386081-submitter@bugs.debian.org, 386185-submitter@bugs.debian.org, 386201-submitter@bugs.debian.org, 386202-submitter@bugs.debian.org, 386222-submitter@bugs.debian.org, 386223-submitter@bugs.debian.org, 386229-submitter@bugs.debian.org, 386267-submitter@bugs.debian.org, 386305-submitter@bugs.debian.org, 386319-submitter@bugs.debian.org, 386491-submitter@bugs.debian.org, 386620-submitter@bugs.debian.org, 386707-submitter@bugs.debian.org, 386719-submitter@bugs.debian.org, 386829-submitter@bugs.debian.org, 386833-submitter@bugs.debian.org, 386902-submitter@bugs.debian.org, 387063-submitter@bugs.debian.org, 387094-submitter@bugs.debian.org, 387133-submitter@bugs.debian.org, 387220-submitter@bugs.debian.org, 387433-submitter@bugs.debian.org, 387972-submitter@bugs.debian.org, 387974-submitter@bugs.debian.org, 387983-submitter@bugs.debian.org, 388026-submitter@bugs.debian.org, 388082-submitter@bugs.debian.org, 388193-submitter@bugs.debian.org, 388314-submitter@bugs.debian.org, 388535-submitter@bugs.debian.org, 388605-submitter@bugs.debian.org, 388609-submitter@bugs.debian.org, 388661-submitter@bugs.debian.org, 388831-submitter@bugs.debian.org, 389171-submitter@bugs.debian.org, 389233-submitter@bugs.debian.org, 389246-submitter@bugs.debian.org, 389304-submitter@bugs.debian.org, 389350-submitter@bugs.debian.org, 389352-submitter@bugs.debian.org, 389375-submitter@bugs.debian.org, 389377-submitter@bugs.debian.org, 389387-submitter@bugs.debian.org, 389391-submitter@bugs.debian.org, 389458-submitter@bugs.debian.org, 389560-submitter@bugs.debian.org, 389609-submitter@bugs.debian.org, 389639-submitter@bugs.debian.org, 389640-submitter@bugs.debian.org, 389696-submitter@bugs.debian.org, 389760-submitter@bugs.debian.org, 389769-submitter@bugs.debian.org, 389965-submitter@bugs.debian.org, 389968-submitter@bugs.debian.org, 390008-submitter@bugs.debian.org, 390276-submitter@bugs.debian.org, 390304-submitter@bugs.debian.org, 390384-submitter@bugs.debian.org, 390390-submitter@bugs.debian.org, 390403-submitter@bugs.debian.org, 390416-submitter@bugs.debian.org, 390467-submitter@bugs.debian.org, 390560-submitter@bugs.debian.org, 390657-submitter@bugs.debian.org, 390666-submitter@bugs.debian.org, 390671-submitter@bugs.debian.org, 390969-submitter@bugs.debian.org, 391025-submitter@bugs.debian.org, 391157-submitter@bugs.debian.org, 391181-submitter@bugs.debian.org, 391190-submitter@bugs.debian.org, 391199-submitter@bugs.debian.org, 391201-submitter@bugs.debian.org, 391206-submitter@bugs.debian.org, 391208-submitter@bugs.debian.org, 391237-submitter@bugs.debian.org, 391257-submitter@bugs.debian.org, 391266-submitter@bugs.debian.org, 391291-submitter@bugs.debian.org, 391391-submitter@bugs.debian.org, 391465-submitter@bugs.debian.org, 391566-submitter@bugs.debian.org, 391601-submitter@bugs.debian.org, 391695-submitter@bugs.debian.org, 391696-submitter@bugs.debian.org, 391697-submitter@bugs.debian.org, 391749-submitter@bugs.debian.org, 391750-submitter@bugs.debian.org, 391752-submitter@bugs.debian.org, 391754-submitter@bugs.debian.org, 391755-submitter@bugs.debian.org, 391760-submitter@bugs.debian.org, 391766-submitter@bugs.debian.org, 391767-submitter@bugs.debian.org, 391782-submitter@bugs.debian.org, 391791-submitter@bugs.debian.org, 391808-submitter@bugs.debian.org, 391846-submitter@bugs.debian.org, 391848-submitter@bugs.debian.org, 392053-submitter@bugs.debian.org, 392154-submitter@bugs.debian.org, 392164-submitter@bugs.debian.org, 392166-submitter@bugs.debian.org, 392318-submitter@bugs.debian.org, 392422-submitter@bugs.debian.org, 392730-submitter@bugs.debian.org, 392734-submitter@bugs.debian.org, 392850-submitter@bugs.debian.org, 392855-submitter@bugs.debian.org, 393012-submitter@bugs.debian.org, 393044-submitter@bugs.debian.org, 393051-submitter@bugs.debian.org, 393388-submitter@bugs.debian.org, 393449-submitter@bugs.debian.org, 393726-submitter@bugs.debian.org
Subject: Bugs fixed in NMU, documenting versions
Date: Sat, 21 Oct 2006 23:44:56 -0700
# Hi folks,
#
# All of these bugs have been fixed in NMU, but not acknowledged by the
# maintainers.  With version tracking in the Debian BTS, it is important to
# know which version of a package fixes each bug so that they can be tracked
# for release status in the BTS, so I'm closing these bugs with the relevant
# version number information now.

close 386081 0.99.10-1.1
close 386185 6.5.0.cvs.20060524-1.1
close 386201 2.0.14-0.1
close 386202 2.0.14-0.1
close 386222 0.13.alfa.8-3.1
close 386223 0.13-13.2
close 386229 0.35-6.1
close 386267 2.0.5-1.1
close 386305 0.0.26-5.1
close 386319 1.2.0-3.2
close 386491 1.1-2.1
close 386620 0.3.8-5.1
close 386707 20060907.1
close 386719 2.0.5-1.1
close 386829 0.65.1
close 386833 0.15-1.2
close 386902 2.2.3-1.2
close 387063 2.6.4-2.1
close 387094 2.2.3-1.3
close 387133 2:1.0.0-9
close 387220 0.65.1
close 387433 1.3-1.2
close 387972 0.0.20060309-5.1
close 387974 0.0.20060309-5.1
close 387983 2:0.92-3.1
close 388026 2.8.5-1.2
close 388082 0.0.20060309-5.1
close 388314 1:0.3.7-3.1
close 388535 1.4.3.dfsg-1.2
close 388605 1.0.2-0.1
close 388609 0.3.7-4.2
close 388661 0.15-16.1
close 389171 1.23-1.1
close 389233 1.99.beta2.1
close 389246 2.7.7-12.1
close 389304 3.2.3-1.1
close 389350 2.0.4-2.1
close 389352 3.3.0-5.4
close 389375 2.4.0-4.2
close 389377 1.0.4-1.2
close 389387 2.6.2-24.1
close 389391 0.3.8-1.2
close 389458 0.35-6.1
close 389560 2:0.92-3.1
close 389609 1.2.4par-0.2
close 389639 1.1.1-0.2
close 389640 0.3.7-4.2
close 389696 0.6-2.1
close 389760 1.1.0+1.1.1-a021-1.1
close 389769 3.0.8-0.2
close 389965 4.4rc.2-3.1
close 389968 4.51.5-1.1
close 390008 0.9.6-1.1
close 390276 2.13~beta3-0.1
close 390304 0.2.0-1
close 390384 0.12-5.1
close 390390 2.8.8-1.1
close 390403 0.0.20040112.dfsg-0.2
close 390467 1.0.0-1.1
close 390560 6.5.1-0.2
close 390657 1.0+dfsg0-0.1
close 390666 0.4.5+dfsg0-0.1
close 390671 3.13-7.1
close 390969 0.2-2.2
close 391025 1.1.2-1.1
close 391157 2.2.0-3.1
close 391181 2.0.10.1.1
close 391190 0.09-1.1
close 391199 0.84-6.1
close 391201 1.0.1-2.1
close 391206 2003.00.00-2.1
close 391208 0.7-9.1
close 391237 5.6.3-2.1
close 391257 0.20.1-1.1
close 391266 1.5.12.1-19.1
close 391291 0.0.20060309-5.2
close 391391 0.12-2.2
close 391465 2.0-8.1
close 391566 1:1.6.1-7.1
close 391601 3:20020927-3.1
close 391695 0.4.6-0.1
close 391696 1:3.9.20060704-2.1
close 391697 2.0-6.1
close 391749 1.0-1.1
close 391750 2.0.2-2.2
close 391752 1.1.1-6.1
close 391754 4.4rc.2-3.1
close 391755 1.1.4-3.1
close 391760 4.996-5.0-rc7-1.1
close 391767 2.0.48-4-2.2
close 391782 0.4-1.1
close 391791 1.2.6-1.1
close 391808 3.5-1.2
close 391848 0.2.7.1-1.1
close 392053 0.5.0-1.4
close 392154 3.06.dfsg.1-0.1
close 392164 0.31-5.1
close 392166 1.2
close 392318 1.5.1.dfsg-2.1
close 392422 0.2.0-1
close 392730 0.4.6-0.2
close 392855 1.4.29-1
close 393012 0.4-1.1
close 393044 5.4.2-1.1
close 393051 1.9~b3-1
close 393388 0.4.5+dfsg0-0.1
close 393726 1.71.0.dfsg.1-1.1
thanks

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Reply sent to Kel Modderman <kelmo@kanotixguide.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to ste <bluefuture@email.it>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 389171-close@bugs.debian.org (full text, mbox):

From: Kel Modderman <kelmo@kanotixguide.org>
To: 389171-close@bugs.debian.org
Subject: Bug#389171: fixed in ndiswrapper 1.28-1
Date: Sun, 05 Nov 2006 07:45:47 -0800
Source: ndiswrapper
Source-Version: 1.28-1

We believe that the bug you reported is fixed in the latest version of
ndiswrapper, which is due to be installed in the Debian FTP archive:

ndiswrapper-common_1.28-1_all.deb
  to pool/main/n/ndiswrapper/ndiswrapper-common_1.28-1_all.deb
ndiswrapper-source_1.28-1_all.deb
  to pool/main/n/ndiswrapper/ndiswrapper-source_1.28-1_all.deb
ndiswrapper-utils-1.9_1.28-1_i386.deb
  to pool/main/n/ndiswrapper/ndiswrapper-utils-1.9_1.28-1_i386.deb
ndiswrapper_1.28-1.diff.gz
  to pool/main/n/ndiswrapper/ndiswrapper_1.28-1.diff.gz
ndiswrapper_1.28-1.dsc
  to pool/main/n/ndiswrapper/ndiswrapper_1.28-1.dsc
ndiswrapper_1.28.orig.tar.gz
  to pool/main/n/ndiswrapper/ndiswrapper_1.28.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 389171@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kel Modderman <kelmo@kanotixguide.org> (supplier of updated ndiswrapper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 30 Oct 2006 17:06:10 +1000
Source: ndiswrapper
Binary: ndiswrapper-source ndiswrapper-common ndiswrapper-utils-1.9
Architecture: source all i386
Version: 1.28-1
Distribution: unstable
Urgency: low
Maintainer: Andres Salomon <dilinger@debian.org>
Changed-By: Kel Modderman <kelmo@kanotixguide.org>
Description: 
 ndiswrapper-common - Common scripts required to use the utilities for ndiswrapper
 ndiswrapper-source - Source for the ndiswrapper linux kernel module
 ndiswrapper-utils-1.9 - Userspace utilities for the ndiswrapper linux kernel module
Closes: 389171
Changes: 
 ndiswrapper (1.28-1) unstable; urgency=low
 .
   [ Kel Modderman ]
   * New upstream release.
   * Introduce m4 templates plus maintainer script (m4-control) to make
     adapting to new upstream ndiswrapper-utils versions easier.
   * Drop all debhelper files for ndiswrapper-utils-VERS, instead handle the
     installation of required files in debian/rules only.
   * Use distclean target in kdist_clean.
   * Change of co-maintainer email address.
   * Correctly annotate LGPL licensed portion of upstream files in
     debian/copyright.
   * Create /etc/ndiswrapper directory in ndiswrapper-common to stop
     `ndiswrapper -l' from complaining on first use.
 .
   [ Andres Salomon ]
   * Ack NMU (closes: #389171).
   * Drop 01_shut_up_perl_debug.patch.
Files: 
 8b30a21f4feedb5f149233eef7ca08ca 705 misc optional ndiswrapper_1.28-1.dsc
 c7655d7e85df7d724be4c0ae973d957e 187576 misc optional ndiswrapper_1.28.orig.tar.gz
 36c3cb33627a9374fade8d63b0f5e374 7541 misc optional ndiswrapper_1.28-1.diff.gz
 0bd24d4a05a1477074372feacdd8244d 16360 misc optional ndiswrapper-common_1.28-1_all.deb
 b490f95983b6d6c1a4a36180b96ab3c8 151004 misc optional ndiswrapper-source_1.28-1_all.deb
 c78cb3ae71da1772bdd5e7946f07815d 29706 misc optional ndiswrapper-utils-1.9_1.28-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFFRwtCOmXwGc/ULyYRAtoxAJsHUN/b1QIKpMPojIMAyFJsv/FpVgCfZZfJ
18/wiqsABXoRorytS83b49Y=
=0iBg
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 11:44:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:55:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.